#!/bin/sh
#
cd /
#
# test for USB stick
mount /dev/sda1 /mnt 2>/dev/null
if [ $? = 0 ]
then
  tar xzf /mnt/config.tgz 2>/dev/null
fi
umount /dev/sda1 2>dev/null
#
# get hw id
hw="`cat /proc/cpuinfo | grep machine | awk '{print $4}'`"
#
# get led name
if [ "${hw}" = "TL-MR3020" ]
then
  led="/sys/class/leds/tp-link:green:wps"
fi
if [ "${hw}" = "TL-WR703N" ]
then
  led="/sys/class/leds/tp-link:blue:system"
fi
#
# start LED pulse
echo "timer" >"${led}/trigger"
echo "100"   >"${led}/delay_off"
echo "50"    >"${led}/delay_on"
#
# download application stack
/root/start connect.meteobridge.com bridge.meteoplug.com
#
# goto target dir
cd /tmp/opt/
#
# reload or initial load ?
if [ "$1" = "reload" ]
then
  rcloggerd stop
  tar xzpf /tmp/image.tgz home/meteohub/loggerd home/meteobridge/
else
  tar xzpf /tmp/image.tgz
  ln -sf /tmp/opt/home /home
fi
#
# remove archive file
rm /tmp/image.tgz
cd /
#
# shut down led blinks
echo "default-on" >"${led}/trigger"
#
# start follow on processes
sh /home/setup.sh $1
